

def generate_LAMMPS_potential(data):
    potential_file = '# Potential file generated by aiida plugin (please check citation in the original file)\n'
    for key in sorted(data.keys()):
        potential_file += '{}    {}\n'.format(key, data[key])

    return potential_file


def get_input_potential_lines(data, kind_elements=None, potential_filename='potential.pot'):

    lammps_input_text = 'pair_style      tersoff\n'
    lammps_input_text += 'pair_coeff      * * {} {}\n'.format(potential_filename, ' '.join(kind_elements))

    return lammps_input_text


DEFAULT_UNITS = 'metal'
ATOM_STYLE = 'atomic'
